Bug 222749 - math/wxMaxima: 17.05.1 looking for files in the wrong paths
Summary: math/wxMaxima: 17.05.1 looking for files in the wrong paths
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 235245
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-03 09:03 UTC by g.s
Modified: 2019-02-10 11:27 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
first failed assertion saved to file via the wx dialog window (620 bytes, text/plain)
2017-10-03 09:03 UTC, g.s
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description g.s 2017-10-03 09:03:17 UTC
Created attachment 186878 [details]
first failed assertion saved to file via the wx dialog window

I installed wxMaxima 17.05.1 and it's the first version I've every tried, so no old .wxMaxima directory existed and basically, the application is usable. However, I get lots of errors on startup, they all seem to be caused by wrong paths. I don't know it it only affects me.
It tries to open files like "/usr/local/share/wxMaximanetwork-receive.png" (there's a slash missing between wxMaxima and network)
When 1 press F1 inside the application, the help does not show up, but I get "xdg-open: file '//usr/local/share/help/wxmaxima.html' does not exist" on the console, whereas the help file got installed at /usr/local/share/doc/wxMaxima/wxmaxima.html (help vs. doc).

And I don't know whether this is related, but durin startup, I also get 57 failed assertions:
./src/gtk/bitmap.cpp(813): assert "IsOk()" failed in ConvertToImage(): invalid bitmap
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1746): assert "IsOk()" failed in GetHeight(): invalid image
./src/common/image.cpp(429): assert "IsOk()" failed in Scale(): invalid image
./src/gtk/bitmap.cpp(626): assert "image.IsOk()" failed in wxBitmap(): invalid image
./src/gtk/bitmap.cpp(813): assert "IsOk()" failed in ConvertToImage(): invalid bitmap
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1746): assert "IsOk()" failed in GetHeight(): invalid image
./src/common/image.cpp(429): assert "IsOk()" failed in Scale(): invalid image
./src/gtk/bitmap.cpp(626): assert "image.IsOk()" failed in wxBitmap(): invalid image
./src/gtk/bitmap.cpp(813): assert "IsOk()" failed in ConvertToImage(): invalid bitmap
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1746): assert "IsOk()" failed in GetHeight(): invalid image
./src/common/image.cpp(429): assert "IsOk()" failed in Scale(): invalid image
./src/gtk/bitmap.cpp(626): assert "image.IsOk()" failed in wxBitmap(): invalid image
./src/gtk/bitmap.cpp(813): assert "IsOk()" failed in ConvertToImage(): invalid bitmap
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1746): assert "IsOk()" failed in GetHeight(): invalid image
./src/common/image.cpp(429): assert "IsOk()" failed in Scale(): invalid image
./src/gtk/bitmap.cpp(626): assert "image.IsOk()" failed in wxBitmap(): invalid image
./src/gtk/bitmap.cpp(813): assert "IsOk()" failed in ConvertToImage(): invalid bitmap
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1746): assert "IsOk()" failed in GetHeight(): invalid image
./src/common/image.cpp(429): assert "IsOk()" failed in Scale(): invalid image
./src/gtk/bitmap.cpp(626): assert "image.IsOk()" failed in wxBitmap(): invalid image
./src/gtk/bitmap.cpp(813): assert "IsOk()" failed in ConvertToImage(): invalid bitmap
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1746): assert "IsOk()" failed in GetHeight(): invalid image
./src/common/image.cpp(429): assert "IsOk()" failed in Scale(): invalid image
./src/gtk/bitmap.cpp(626): assert "image.IsOk()" failed in wxBitmap(): invalid image
./src/gtk/bitmap.cpp(813): assert "IsOk()" failed in ConvertToImage(): invalid bitmap
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1746): assert "IsOk()" failed in GetHeight(): invalid image
./src/common/image.cpp(429): assert "IsOk()" failed in Scale(): invalid image
./src/gtk/bitmap.cpp(626): assert "image.IsOk()" failed in wxBitmap(): invalid image
./src/gtk/toolbar.cpp(262): assert "bitmap.IsOk()" failed in SetImage(): invalid bitmap for wxToolBar icon
./src/gtk/bitmap.cpp(813): assert "IsOk()" failed in ConvertToImage(): invalid bitmap
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1746): assert "IsOk()" failed in GetHeight(): invalid image
./src/common/image.cpp(429): assert "IsOk()" failed in Scale(): invalid image
./src/gtk/bitmap.cpp(626): assert "image.IsOk()" failed in wxBitmap(): invalid image
./src/gtk/toolbar.cpp(262): assert "bitmap.IsOk()" failed in SetImage(): invalid bitmap for wxToolBar icon
./src/gtk/bitmap.cpp(813): assert "IsOk()" failed in ConvertToImage(): invalid bitmap
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1739): assert "IsOk()" failed in GetWidth(): invalid image
./src/common/image.cpp(1746): assert "IsOk()" failed in GetHeight(): invalid image
./src/common/image.cpp(429): assert "IsOk()" failed in Scale(): invalid image
./src/gtk/bitmap.cpp(626): assert "image.IsOk()" failed in wxBitmap(): invalid image
./src/gtk/toolbar.cpp(262): assert "bitmap.IsOk()" failed in SetImage(): invalid bitmap for wxToolBar icon


> pkg info -d wxMaxima
wxMaxima-17.05.1:
        wx30-gtk2-3.0.2_7
        shared-mime-info-1.8
        maxima-5.40.0_1
        gettext-runtime-0.19.8.1_1
        desktop-file-utils-0.23

FreeBSD 10.3
Comment 1 Tobias Kortkamp freebsd_committer 2019-01-25 21:49:14 UTC
(In reply to g.s from comment #0)
Is this still relevant?
Comment 2 g.s 2019-01-26 14:39:46 UTC
(In reply to Tobias Kortkamp from comment #1)

10.3 is no longer supported, I guess. wxMaxima still is 17.05.1, though and I still get those errors. However, I do now get them with

> pkg info -d wxMaxima
wxMaxima-17.05.1:
        wx30-gtk2-3.0.3.1
        shared-mime-info-1.8
        maxima-5.41.0
        gettext-runtime-0.19.8.1_2
        desktop-file-utils-0.23

on 11.2.
Comment 3 Kurt Jaeger freebsd_committer 2019-01-27 12:05:18 UTC
The most recent version of wxMaxima is 19.01.2.
If that port is updated, the problem needs to be retested.
Comment 4 Kurt Jaeger freebsd_committer 2019-01-27 13:17:14 UTC
Can you retest with the suggested update from PR#235245 ?
Comment 5 Kurt Jaeger freebsd_committer 2019-02-10 11:27:27 UTC
Fixed with the update to 19.02.0